// <doc_history>
/**
 * @section LICENSE
 * Copyright &copy; 2012 Safran Morpho - Safran Morpho confidential - all rights reserved
 *
 * @section DESCRIPTION
 *
 *
 * @file Config_types.thrift
 *
 * CHANGELOG
 * 23 nov 2012  - Initiate header
 * 10 dec 2012  - Change namespace to comply MPH coding rules.
 * 14 dec 2012  - Add comments
 * 20 feb 2014  - Add namespace for java and C# generation
 * 04 nov 2015  - Change java namespace for coherency
 */
// </doc_history>

include "Generic_types.thrift"

namespace cpp Distant_cmd
namespace java com.morpho.distant_cmd

/** The requested parameter does not exist in terminal configuration database.*/
exception Config_inexistent_parameter_error
{
    1: required Generic_types.Generic_error_code    err_code,
    2: required string                              parameter_name_UTF8
}

/** The specified value for the requested parameter is invalid.*/
exception Config_invalid_value_error
{
    1: required Generic_types.Generic_error_code    err_code,
    2: required string                              parameter_name_UTF8
}
